package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 月度进展详情(ProjectMonthInfo)表实体类
 *
 * @author makejava
 * @since 2025-03-19 10:49:03
 */
@Data
public class ProjectMonthInfo extends BaseEntity implements Serializable {

    @TableField("id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目id")
    private Long xmId;

    @ApiModelProperty("进度月份")
    private String progressMonth;

    @ApiModelProperty("状态")
    private Integer state;

    @ApiModelProperty("当月完成投资")
    private String investMonth;

    @ApiModelProperty("累计完成投资")
    private String investTotal;

    @ApiModelProperty("截至目前累计建成面积（平方米）")
    private Integer finishArea;

    @ApiModelProperty("贷款额度（万元）")
    private Integer loans;

    @ApiModelProperty("项目进展详情")
    private String projectInfo;
}

