package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 项目巡礼(Xmxl)表实体类
 *
 * @author makejava
 * @since 2025-03-19 14:19:22
 */
@Data
public class Xmxl extends BaseEntity implements Serializable {
    @TableField("id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("监控名称")
    private String jkmc;

    @ApiModelProperty(value = "时间 yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate sj;

    @ApiModelProperty(value = "当前状态")
    private Integer status;

    @ApiModelProperty(value = "附件")
    private String fj;
}

