package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.ProjectMonthInfo;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 月度进展详情(ProjectMonthInfo)表数据库访问层
 *
 * @author makejava
 * @since 2025-03-19 10:49:03
 */
public interface ProjectMonthInfoMapper extends BaseMapper<ProjectMonthInfo> {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    Page<ProjectMonthInfo> page(Page<ProjectMonthInfo> page,@Param("req") ZwIdPageReq zwIdPageReq);

    List<ProjectMonthInfo> page(@Param("req") ZwIdPageReq zwIdPageReq);
}

