package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.ProjectMonthInfo;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;

import java.util.List;

/**
 * 月度进展详情(ProjectMonthInfo)表服务接口
 *
 * @author makejava
 * @since 2025-03-19 10:49:03
 */
public interface ProjectMonthInfoService extends IService<ProjectMonthInfo> {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    Page<ProjectMonthInfo> page(Page<ProjectMonthInfo> page, ZwIdPageReq zwIdPageReq);

    List<ProjectMonthInfo> page(ZwIdPageReq zwIdPageReq);
}

