package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * (QyrzInformation)表实体类
 *
 * @author makejava
 * @since 2025-03-19 15:25:18
 */
@Data
public class QyrzInformation extends BaseEntity implements Serializable {
    @TableField("id")
    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("项目id")
    private Integer xmId;

    @ApiModelProperty("入住企业数")
    private Integer rzqys;

    @ApiModelProperty("入驻企业行业类型")
    private String rzqyhylx;

    @ApiModelProperty("人员数量")
    private Integer rysl;

    @ApiModelProperty("入住率")
    private Double rzl;

    @ApiModelProperty("已出租（售）面积")
    private Double yczmj;

    @ApiModelProperty("空置出租（售）面积")
    private Double kzczmj;

    @ApiModelProperty("工业厂房平均租金")
    private Double gycfpjzj;

    @ApiModelProperty("工业厂房平均物业费")
    private Double gycfpjwyf;

}

